RESTinio

Namespaces | Typedefs | Functions
tls_fwd.hpp File Reference

Forward declarations for TLS-related things. More...

Go to the source code of this file.

## Namespaces
namespace | restinio
namespace | restinio::impl

## Typedefs
using | restinio::tls_socket_t = impl::tls_socket_t
| A public alias for the actual implementation of TLS-socket. More...

## Functions
tls_socket_t * | restinio::impl::make_tls_socket_pointer_for_state_listener (tls_socket_t &socket) noexcept

## Detailed Description

Forward declarations for TLS-related things.

Since
  v.0.5.2

Definition in file tls_fwd.hpp.